Back to support

 

I cannot view the camera in IE10 or higher

 

At this time our Wi-Fi/IP cameras are not fully compatible with Internet Explorer 10 or higher.  If you are running this version, you may need to run the camera in Compatibility Mode for proper viewing.  This can be found under Tools on the Menu Bar

A work-around is to use Chrome for installation and viewing.

 

 

 

 

Back to Support